package com.uas.finance.erp.model;

import com.uas.finance.model.Updowncast;

import javax.persistence.Column;

/**
 * 供应商客户
 * created by shicr on 2017/12/20
 **/
public class UpdowncastInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 名称
     */
    private String udc_name;

    /**
     * 企业uu
     * @return
     */
    private Long enuu;

    /**
     * 产品
     */
    private String udc_product;

    /**
     * 上年交易额
     */
    private Double udc_lastyear;

    /**
     * 今年交易额
     */
    private Double udc_thisyear;

    /**
     * 结账方式及日期
     */
    private String udc_payment;

    /**
     * 合作年限
     */
    private Short udc_cooperationyears;

    /**
     *上/下游客户
     */
    private String udc_kind;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getUdc_name() {
        return udc_name;
    }

    public void setUdc_name(String udc_name) {
        this.udc_name = udc_name;
    }

    public String getUdc_product() {
        return udc_product;
    }

    public void setUdc_product(String udc_product) {
        this.udc_product = udc_product;
    }

    public Double getUdc_lastyear() {
        return udc_lastyear;
    }

    public void setUdc_lastyear(Double udc_lastyear) {
        this.udc_lastyear = udc_lastyear;
    }

    public Double getUdc_thisyear() {
        return udc_thisyear;
    }

    public void setUdc_thisyear(Double udc_thisyear) {
        this.udc_thisyear = udc_thisyear;
    }

    public String getUdc_payment() {
        return udc_payment;
    }

    public void setUdc_payment(String udc_payment) {
        this.udc_payment = udc_payment;
    }

    public Short getUdc_cooperationyears() {
        return udc_cooperationyears;
    }

    public void setUdc_cooperationyears(Short udc_cooperationyears) {
        this.udc_cooperationyears = udc_cooperationyears;
    }

    public String getUdc_kind() {
        return udc_kind;
    }

    public void setUdc_kind(String udc_kind) {
        this.udc_kind = udc_kind;
    }

    public UpdowncastInfo(Updowncast updowncast) {
        this.id = updowncast.getId();
        this.enuu = updowncast.getEnuu();
        this.udc_cooperationyears = updowncast.getUdc_cooperationyears();
        this.udc_lastyear = updowncast.getUdc_lastyear();
        this.udc_name = updowncast.getUdc_name();
        this.udc_payment = updowncast.getUdc_payment();
        this.udc_product = updowncast.getUdc_product();
        this.udc_thisyear = updowncast.getUdc_thisyear();
        this.udc_kind=updowncast.getUdc_kind();
    }

    public UpdowncastInfo() {

    }
}
